<div class="container">
    <div mat-dialog-title>
      <h3>Add New message</h3>
    </div>
    <form class="mat-dialog-content" #loginForm="ngForm">
      <fieldset class="form">
        <legend>Model Message</legend>
        <!-- Code Input -->
        <div class="form">
          <mat-form-field color="accent" style="width: 100%">
            <mat-label>langue</mat-label>
            <mat-select name='lang_Id' [(ngModel)]='lang_Id' required>
              <mat-option value='francais'>francais </mat-option>
              <mat-option value='anglais'>anglais</mat-option>
            </mat-select>
            <mat-error *ngIf="loginForm.invalid">champ required</mat-error>
          </mat-form-field>
          <br>
          <mat-form-field style="width: 100%">
            <mat-label>campany</mat-label>
            <mat-select name='campany_Id' [(ngModel)]='campany_Id' required>
              <mat-option value='widigital-fr'>widigital-fr </mat-option>
              <mat-option value='widigital-tn'>widigital-tn</mat-option>
            </mat-select>
            <mat-error *ngIf="loginForm.invalid">champ required</mat-error>
          </mat-form-field>
          <br>
          <mat-form-field style="width: 100%">
            <mat-label>application</mat-label>
            <mat-select name='application_Id' [(ngModel)]='application_Id' required>
              <mat-option value='servicima'>servicima </mat-option>
              <mat-option value='servicima-dev'>servicima-dev</mat-option>
            </mat-select>
            <mat-error *ngIf="loginForm.invalid">champ required</mat-error>
          </mat-form-field>
          <br>
          <mat-form-field style="width: 100%">
            <mat-label>module</mat-label>
            <mat-select name='module_Id' [(ngModel)]='module_Id' required>
              <mat-option value='gestion de contrat'>gestion de contrat </mat-option>
              <mat-option value='gestion de facture'>gestion de facture</mat-option>
            </mat-select>
            <mat-error *ngIf="loginForm.invalid">champ required</mat-error>
          </mat-form-field>
          <br>
          <mat-form-field style="width: 100%" class="example-full-width">
            <textarea required name='message_Code' pattern='[0-9]{4}' [(ngModel)]='message_Code' matInput
              placeholder="message code"></textarea>
              <mat-error *ngIf="loginForm.invalid">champ invalid</mat-error>
          </mat-form-field>
          <br>
          <mat-form-field style="width: 100%" class="example-full-width">
            <textarea required name='message_Content' pattern='^[a-zA-Z,:.0-9_ ]*$'  [(ngModel)]='message_Content' matInput
              placeholder="message content" ></textarea>
              <mat-error *ngIf="loginForm.invalid">champ invalid</mat-error>
          </mat-form-field>
        </div>
      </fieldset>
      <div mat-dialog-actions>
        <button mat-button type='submit' [disabled]="loginForm.form.invalid" mat-stroked-button (click)='add($event)'
          color="primary">ajouter</button>
        <button mat-button mat-stroked-button (click)='cancel()' color="danger">cancel</button>
      </div>
    </form>
  </div>
  
  
  
  
  
  